(*******************************************************************)
(*  This is part of SymbolicKAT, it is distributed under the       *)
(*  terms of the GNU Lesser General Public License version 3       *)
(*           (see file LICENSE for more details)                   *)
(*                                                                 *)
(*  Copyright 2014: Damien Pous. (CNRS, LIP - ENS Lyon, UMR 5668)  *)
(*******************************************************************)

(** Antimirov' partial derivatives for symbolic KAT expressions *)

open Common
open Kat
open Automata
open Bdd

(** partial derivatives *)
val deriv: expr' set mem -> expr' -> expr' set node span

(** corresponding symbolic NFA  *)
val nfa: unit -> (expr', formula) snfa
